/*
 * MosP - Mind Open Source Project    http://www.mosp.jp/
 * Copyright (C) MIND Co., Ltd.       http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package jp.mosp.common.part;

import java.sql.Connection;
import java.util.Properties;

import jp.mosp.common.common.BaseDto;
import jp.mosp.common.dto.CmAspUserDto;
import jp.mosp.common.dto.CmUserDto;

/**
 * Partを利用する際に必要な情報DTO
 * @author yoshida
 *	@version	0.0.1
 */
public class PartInfo extends BaseDto {
	
	private static final long		serialVersionUID	= -6077546544100981837L;
	
	private Properties				cfg;
	private String					cmd;
	private CmAspUserDto			aspUser;
	private CmUserDto				user;
	
	private transient Connection	conn;
	

	/**
	 * コンストラクタ
	 */
	private PartInfo() {
		super();
	}
	
	/**
	 * コンストラクタ
	 * @param cfg	MosPアプリケーション設定(/WEB-INF/mosp.properties)。
	 * @param cmd	リクエストされたCommand。
	 * @param aspUser	ログインASPユーザー。
	 * @param user	ログインユーザー。
	 * @param conn 	DBコネクション。
	 */
	public PartInfo(Properties cfg, String cmd, CmAspUserDto aspUser, CmUserDto user, Connection conn) {
		this();
		init(cfg, cmd, aspUser, user, conn);
	}
	
	/**
	 * 初期化
	 * @param cfg	MosPアプリケーション設定(/WEB-INF/mosp.properties)。
	 * @param cmd	リクエストされたCommand。
	 * @param aspUser	ログインASPユーザー。
	 * @param user	ログインユーザー。
	 * @param conn 	DBコネクション。
	 */
	private void init(Properties cfg, String cmd, CmAspUserDto aspUser, CmUserDto user, Connection conn) {
		this.cfg = cfg;
		this.cmd = cmd;
		this.aspUser = aspUser;
		this.user = user;
		this.conn = conn;
	}
	
	// アクセサメソッド
	/**
	 * @return	MosPアプリケーション設定(/WEB-INF/mosp.properties)。
	 */
	public Properties getCfg() {
		return cfg;
	}
	
	/**
	 * @return	リクエストされたCommand。
	 */
	public String getCmd() {
		return cmd;
	}
	
	/**
	 * @return	ログインASPユーザー。
	 */
	public CmAspUserDto getAspUser() {
		return aspUser;
	}
	
	/**
	 * @return	ログインユーザー。
	 */
	public CmUserDto getUser() {
		return user;
	}
	
	/**
	 * @return 	DBコネクション。
	 */
	public Connection getConn() {
		return conn;
	}
	
}
